package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2020.11.10
 */
public class StudentCompetitionRankingDto {

    private Long competitionId;

    private Integer prizeLevel;

    private String username;

    private String pictureUrl;

    public StudentCompetitionRankingDto() {
    }

    public StudentCompetitionRankingDto(Long competitionId, Integer prizeLevel, String username, String pictureUrl) {
        this.competitionId = competitionId;
        this.prizeLevel = prizeLevel;
        this.username = username;
        this.pictureUrl = pictureUrl;
    }

    public Integer getPrizeLevel() {
        return prizeLevel;
    }

    public void setPrizeLevel(Integer prizeLevel) {
        this.prizeLevel = prizeLevel;
    }

    public Long getCompetitionId() {
        return competitionId;
    }

    public void setCompetitionId(Long competitionId) {
        this.competitionId = competitionId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl;
    }
}
